Last Comment Bug 657262 - Consider using ThreeDShadow instead of ThreeDDarkShadow for the border for the location bar and search box in Windows Classic
: Consider using ThreeDShadow instead of ThreeDDarkShadow for the border for th...
Status: VERIFIED FIXED
:
Product: Firefox
Classification: Client Software
Component: Theme (show other bugs)
: Trunk
: x86 Windows XP
: -- normal (vote)
: Firefox 6
Assigned To: Kai Liu
:
Mentors:
Depends on:
Blocks: 560755
  Show dependency treegraph
 
Reported: 2011-05-15 17:13 PDT by Kai Liu
Modified: 2011-05-20 06:40 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Before and after (21.98 KB, image/png)
2011-05-15 17:13 PDT, Kai Liu
no flags Details
example showing that a gray-on-black text box is not unprecedented (2.73 KB, image/png)
2011-05-15 17:18 PDT, Kai Liu
no flags Details
trivial patch (653 bytes, patch)
2011-05-15 17:21 PDT, Kai Liu
dao+bmo: review+
Details | Diff | Review

Description Kai Liu 2011-05-15 17:13:18 PDT
Created attachment 532545 [details]
Before and after

In bug 560755, the border for the location bar and search box was changed to ThreeDDarkShadow because the previous setting, a partially transparent black border, did not show up on a black background.

The downside of using ThreeDDarkShadow is that in most classic color schemes, it produces a completely black border, which is very jarring and inconsistent with the rest of the style of that upper region of the browser: no other border is nearly that dark, and it really stands out like a sore thumbs (especially when it is juxtaposed with the borders of the adjacent toolbar buttons).

As a compromise, I think we should use ThreeDShadow instead.  Its color more closely matches that of the original partially transparent black, and it is still visible in a black high-contrast scheme.  It doesn't stand out as much in HC, but none of the other borders do either (e.g., look at the border of tabs in black high-contrast), and most importantly, it still remains visible.

Attached is a screenshot showing the before-and-after of this proposed change:

* Normal classic: Note how incongruous the black border looks when juxtaposed with the nearby toolbar button borders and tab borders.

* High-contrast classic: The border is still visible, and although it does not stand out as much as before, none of the other borders in that region of the interface--tabs, buttons, etc.--do either.

* Themed: Just a sanity check to show that this is indeed a classic-only change.
Comment 1 Kai Liu 2011-05-15 17:18:29 PDT
Created attachment 532546 [details]
example showing that a gray-on-black text box is not unprecedented

This is just to show that there are already other prominent bits of text-input UI that use a gray border in a black high-contrast scheme...
Comment 2 Kai Liu 2011-05-15 17:21:12 PDT
Created attachment 532547 [details] [diff] [review]
trivial patch
Comment 3 Dão Gottwald [:dao] 2011-05-15 22:21:47 PDT
(In reply to comment #0)
> It doesn't stand out as much
> in HC, but none of the other borders do either (e.g., look at the border of
> tabs in black high-contrast)

(In reply to comment #1)
> Created attachment 532546 [details]
> example showing that a gray-on-black text box is not unprecedented
> 
> This is just to show that there are already other prominent bits of
> text-input UI that use a gray border in a black high-contrast scheme...

The theme doesn't really adjust to the OS theme at all there. Obviously not great examples -- we want to do better than that if we can.
Comment 4 Dão Gottwald [:dao] 2011-05-16 03:43:49 PDT
http://hg.mozilla.org/mozilla-central/rev/f388d1d334ab
Comment 5 Simona B [:simonab] 2011-05-20 06:40:39 PDT
Mozilla/5.0 (Windows NT 5.1; rv:6.0a1) Gecko/20110519 Firefox/6.0a1

Verified the change with the help of before/after image.

Note You need to log in before you can comment on or make changes to this bug.